Bug 29521 - Patron Club name hyperlinks not operational + weird CSS behavior
Summary: Patron Club name hyperlinks not operational + weird CSS behavior
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low minor with 10 votes (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: Manual
Depends on: 24627
Blocks:
  Show dependency treegraph
 
Reported: 2021-11-18 18:49 UTC by Myka Kennedy Stephens
Modified: 2021-12-22 21:01 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
This removes the link from thea patron club name on the patrons club listing page as it didn't work. It also improves the consistency of the table of patron clubs so that the interface is consistent whether you're looking at clubs during the holds process or during the clubs management view.
Version(s) released in:
22.05.00,21.11.01,21.05.08


Attachments
Bug 29521: Fix style of patron clubs table when in clubs management (2.63 KB, patch)
2021-11-18 19:28 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29521: Fix style of patron clubs table when in clubs management (2.68 KB, patch)
2021-11-19 09:49 UTC, Andreas Roussos
Details | Diff | Splinter Review
Bug 29521: Fix style of patron clubs table when in clubs management (2.74 KB, patch)
2021-11-19 13:37 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Myka Kennedy Stephens 2021-11-18 18:49:43 UTC
Sometime between 20.05 and 21.05 (we skipped 20.11), the name of a patron club is now showing up in the clubs table as hyperlinked. Clicking this hyperlink doesn't do anything. I've tried to search through release notes and bugs to find what the hyperlinking is supposed to do and couldn't trace it. The screenshots in the manual and other online tutorials show that the club name was not previously hyperlinked.

The hyperlink could be directed to open the enrollments list or to edit the club's settings. Both of these options are available in the Actions menu. I think it would also be okay to remove the hyperlink altogether to reduce confusion. (I'm almost ashamed to admit how many times I clicked on it thinking it was a shortcut to the enrollments list!)

Also, there's a CSS style being applied to the table where every other row is highlighted yellow when the mouse pointer hovers over it. This is distracting and not helpful.
Comment 1 Owen Leonard 2021-11-18 19:28:31 UTC
Created attachment 127818 [details] [review]
Bug 29521: Fix style of patron clubs table when in clubs management

This patch follows up Bug 24627 to add some additional template logic to
the table of clubs so that the interface is consistent whether you're
looking at clubs during the holds process or during the clubs management
view.

The ways Bug 24627 made the clubs list more consistent with patron
search results made it LESS consistent with the Clubs management
interface.

To test, apply the patch and go to Tools -> Patron clubs.

- Scroll down to the "Clubs" table, below the "Club templates" table.
  - In the table of clubs, the club name should not be a link.
  - Hovering your mouse over the table should not highlight each row.

Confirm the previous behavior of a clubs search when placing a hold:

- Search the catalog and start the process of placing a hold on an item.
- On the "Place hold" page, click the "Clubs" tab and perform a search
  which will return multiple clubs.
- In this view, the club name should be a link. Clicking it should
  select that club for the hold.
- You should also be able to click anywhere in the row to select the
  club for the hold.
Comment 2 Andreas Roussos 2021-11-19 09:49:47 UTC
Created attachment 127849 [details] [review]
Bug 29521: Fix style of patron clubs table when in clubs management

This patch follows up Bug 24627 to add some additional template logic to
the table of clubs so that the interface is consistent whether you're
looking at clubs during the holds process or during the clubs management
view.

The ways Bug 24627 made the clubs list more consistent with patron
search results made it LESS consistent with the Clubs management
interface.

To test, apply the patch and go to Tools -> Patron clubs.

- Scroll down to the "Clubs" table, below the "Club templates" table.
  - In the table of clubs, the club name should not be a link.
  - Hovering your mouse over the table should not highlight each row.

Confirm the previous behavior of a clubs search when placing a hold:

- Search the catalog and start the process of placing a hold on an item.
- On the "Place hold" page, click the "Clubs" tab and perform a search
  which will return multiple clubs.
- In this view, the club name should be a link. Clicking it should
  select that club for the hold.
- You should also be able to click anywhere in the row to select the
  club for the hold.

Signed-off-by: Andreas Roussos <a.roussos@dataly.gr>
Comment 3 Katrin Fischer 2021-11-19 13:37:31 UTC
Created attachment 127864 [details] [review]
Bug 29521: Fix style of patron clubs table when in clubs management

This patch follows up Bug 24627 to add some additional template logic to
the table of clubs so that the interface is consistent whether you're
looking at clubs during the holds process or during the clubs management
view.

The ways Bug 24627 made the clubs list more consistent with patron
search results made it LESS consistent with the Clubs management
interface.

To test, apply the patch and go to Tools -> Patron clubs.

- Scroll down to the "Clubs" table, below the "Club templates" table.
  - In the table of clubs, the club name should not be a link.
  - Hovering your mouse over the table should not highlight each row.

Confirm the previous behavior of a clubs search when placing a hold:

- Search the catalog and start the process of placing a hold on an item.
- On the "Place hold" page, click the "Clubs" tab and perform a search
  which will return multiple clubs.
- In this view, the club name should be a link. Clicking it should
  select that club for the hold.
- You should also be able to click anywhere in the row to select the
  club for the hold.

Signed-off-by: Andreas Roussos <a.roussos@dataly.gr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Fridolin Somers 2021-12-02 06:48:26 UTC
Pushed to master for 22.05, thanks to everybody involved!
Comment 5 Kyle M Hall 2021-12-03 14:57:50 UTC
Pushed to 21.11.x for 21.11.01
Comment 6 David Nind 2021-12-16 13:28:55 UTC
Added Manual keyword for 22.05 bugs that I consider require documentation changes. See bug 29640 and the linked spreadsheet for additional details.
Comment 7 Andrew Fuerste-Henry 2021-12-16 21:28:27 UTC
Pushed to 21.05.x for 21.05.08
Comment 8 Victor Grousset/tuxayo 2021-12-22 21:01:22 UTC
Not backported to oldoldstable (20.11.x). Feel free to ask if it's needed.